cURL
curl --request PATCH "https://rxresu.me/api/openapi/career/workspace/<applicationId>" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"expected": {}
}'import requests
url = "https://rxresu.me/api/openapi/career/workspace/{applicationId}"
payload = {
"expected": {
"answers": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": ["<string>"]
}
],
"checklist": [5],
"questions": [
{
"text": "<string>",
"origin": "<string>"
}
],
"evidence": {},
"ticks": {},
"message": "<string>"
},
"answers": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": ["<string>"]
}
],
"checklist": [5],
"questions": [
{
"text": "<string>",
"origin": "<string>"
}
],
"evidence": {},
"ticks": {},
"message": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected: {
answers: [
{
id: '<string>',
question: '<string>',
answer: '<string>',
factIds: ['<string>']
}
],
checklist: [5],
questions: [{text: '<string>', origin: '<string>'}],
evidence: {},
ticks: {},
message: '<string>'
},
answers: [
{
id: '<string>',
question: '<string>',
answer: '<string>',
factIds: ['<string>']
}
],
checklist: [5],
questions: [{text: '<string>', origin: '<string>'}],
evidence: {},
ticks: {},
message: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/career/workspace/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answers": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": [
"<string>"
]
}
],
"checklist": [
5
],
"questions": [
{
"text": "<string>",
"origin": "<string>"
}
],
"evidence": {},
"ticks": {},
"message": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Patch careerworkspace
PATCH
/
career
/
workspace
/
{applicationId}
cURL
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Path Parameters
Minimum string length:
1Body
application/json
Show child attributes
Show child attributes
Maximum array length:
30Show child attributes
Show child attributes
Maximum array length:
10Required range:
0 <= x <= 10Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
20000Response
OK
Maximum array length:
30Show child attributes
Show child attributes
Maximum array length:
10Required range:
0 <= x <= 10Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
20000